<?php
defined('_JEXEC') or die('Restricted access');

//Template Parameter
global $mainframe;
jimport('joomla.filesystem.file');
$pixParams = new JParameter(JFile::read(JPATH_BASE.DS.'templates'.DS.$mainframe->getTemplate().DS.'params.ini'));
$thumb_width = trim($pixParams->get('thumb_width','213'));
$thumb_height = trim($pixParams->get('thumb_height','140'));
?>



<div class="item_wrapper">
	<div class="gallery_item">
		<div class="gallery_image">
		<?php	
			preg_match('/< *img[^>]*src *= *["\']?([^"\']*)/i', $this->item->text, $matches);
				
			if (isset($matches[1])) {
				$image_path = $matches[1];
				
				// remove any / that begins the path
				if (substr($image_path, 0 , 1) == '/') $image_path = substr($image_path, 1);
				
				// create a thumb filename
				$file_div = strrpos($image_path,'.');
				$thumb_ext = substr($image_path, $file_div);
				$thumb_prev = substr($image_path, 0, $file_div);
				$thumb_path = $thumb_prev . "_thumb" . $thumb_ext;
					
				// check to see if this file exists, if so we don't need to create it
				if (function_exists("gd_info")) {
					// file doens't exist, so create it and save it
					if (!class_exists("spThumbnail")) include_once('class.spThumbnail.php');
					
					//Check existing thumbnails dimensions
					if (file_exists($thumb_path)) {
						$size = GetImageSize( $thumb_path );
						$currentWidth=$size[0];
						$currentHeight=$size[1];
					}
					
					//Creating thumbnails		
					if (!file_exists($thumb_path) || $currentWidth!=$thumb_width || $currentHeight!=$thumb_height ) {
						$thumb = new spThumbnail;
						$thumb->new_width = $thumb_width;
						$thumb->new_height = $thumb_height;
						$thumb->image_to_resize = $image_path; // Full Path to the file
						$thumb->ratio = false; // Keep Aspect Ratio?
						$thumb->save = $thumb_path;
						$process = $thumb->resize();
					}
				}
				echo '<img src="' . $thumb_path . '" width="100%" alt=" " />';
			}
		?>
		</div>

		<div class="gallery_info">
			<?php
				$idate = JHTML::_('date',$this->item->created, JText::_('DATE_FORMAT_LC3')); 
				$idate = explode (" ", $idate);
			?>
			<div class="info_details">
				<span class="day"><?php echo $idate[0] ?></span>
				<span class="month"><?php echo substr($idate[1],0,3) ?></span>
				<br /><span class="year"><?php echo $idate[2] ?></span>
				<div class="clr"></div>
				<a class="gallery_more" href="<?php echo $this->item->readmore_link; ?>">
					<span><?php echo JText::_('Read more...'); ?></span>
				</a>
			</div>
			<div class="clr"></div>
		</div>
		<div class="clr"></div>
	</div>

	<div class="title_tools clearfix">
		<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
			<a class="gallery_title" href="<?php echo $this->item->readmore_link; ?>"><strong>
				<?php echo $this->escape($this->item->title); ?></strong></a>
		<?php else :
			echo $this->escape($this->item->title);
		endif; ?>
	</div>
	<div class="clr"></div>
</div>